| IGLib 1.7.2 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Events Macros
Public Member Functions | Protected Member Functions | Properties | Private Member Functions | Private Attributes | List of all members
IG.Forms.TestTestControl Class Reference
Inheritance diagram for IG.Forms.TestTestControl:
[legend]
Collaboration diagram for IG.Forms.TestTestControl:
[legend]

## Public Member Functions
| TestTestControl ()

## Protected Member Functions
override void | Dispose (bool disposing)
| Clean up any resources being used. More...

## Properties
System.Drawing.Font | DatagridFont`[get, set]`

## Private Member Functions
void | InitializeComponent ()
| Required method for Designer support - do not modify the contents of this method with the code editor. More...

## Private Attributes
System.ComponentModel.IContainer | components = null
| Required designer variable. More...
System.Windows.Forms.DataGridView | dataGridView1
System.Windows.Forms.Button | btnChangedFont
System.Windows.Forms.DataGridViewTextBoxColumn | NameCol
System.Windows.Forms.DataGridViewTextBoxColumn | ID
System.Windows.Forms.DataGridViewTextBoxColumn | ParameterName
System.Windows.Forms.DataGridViewTextBoxColumn | Value
System.Windows.Forms.Button | btnOriginal
System.Windows.Forms.Label | lblTitle
System.Windows.Forms.CheckBox | chkIriginal
System.Windows.Forms.TextBox | txtOriginal
System.Windows.Forms.NumericUpDown | numOriginal
System.Windows.Forms.ComboBox | comboOriginal
System.Windows.Forms.Panel | pnlOriginal
System.Windows.Forms.Label | lblOriginal
IG.Forms.FileSelector | fileSelector1
System.Windows.Forms.Panel | pnlFileSelectors
System.Windows.Forms.Label | lblFileSelector2
System.Windows.Forms.Label | lblFileSelector1
System.Windows.Forms.Label | lblFileSelectorsTitle
IG.Forms.FileSelector | fileSelector2
DirectorySelector | directorySelector1
System.Windows.Forms.Label | lblDirectorySelector

## Constructor & Destructor Documentation

IG.Forms.TestTestControl.TestTestControl | ( |  | ) |
| inline

## Member Function Documentation

override void IG.Forms.TestTestControl.Dispose | ( | bool | disposing | ) |
| inline protected

Clean up any resources being used.

Parameters

  disposing | true if managed resources should be disposed; otherwise, false.

void IG.Forms.TestTestControl.InitializeComponent | ( |  | ) |
| inline private

Required method for Designer support - do not modify the contents of this method with the code editor.

## Member Data Documentation

System.ComponentModel.IContainer IG.Forms.TestTestControl.components = null
| private

Required designer variable.

System.Windows.Forms.DataGridView IG.Forms.TestTestControl.dataGridView1
| private

System.Windows.Forms.Button IG.Forms.TestTestControl.btnChangedFont
| private

System.Windows.Forms.DataGridViewTextBoxColumn IG.Forms.TestTestControl.NameCol
| private

System.Windows.Forms.DataGridViewTextBoxColumn IG.Forms.TestTestControl.ID
| private

System.Windows.Forms.DataGridViewTextBoxColumn IG.Forms.TestTestControl.ParameterName
| private

System.Windows.Forms.DataGridViewTextBoxColumn IG.Forms.TestTestControl.Value
| private

System.Windows.Forms.Button IG.Forms.TestTestControl.btnOriginal
| private

System.Windows.Forms.Label IG.Forms.TestTestControl.lblTitle
| private

System.Windows.Forms.CheckBox IG.Forms.TestTestControl.chkIriginal
| private

System.Windows.Forms.TextBox IG.Forms.TestTestControl.txtOriginal
| private

System.Windows.Forms.NumericUpDown IG.Forms.TestTestControl.numOriginal
| private

System.Windows.Forms.ComboBox IG.Forms.TestTestControl.comboOriginal
| private

System.Windows.Forms.Panel IG.Forms.TestTestControl.pnlOriginal
| private

System.Windows.Forms.Label IG.Forms.TestTestControl.lblOriginal
| private

IG.Forms.FileSelector IG.Forms.TestTestControl.fileSelector1
| private

System.Windows.Forms.Panel IG.Forms.TestTestControl.pnlFileSelectors
| private

System.Windows.Forms.Label IG.Forms.TestTestControl.lblFileSelector2
| private

System.Windows.Forms.Label IG.Forms.TestTestControl.lblFileSelector1
| private

System.Windows.Forms.Label IG.Forms.TestTestControl.lblFileSelectorsTitle
| private

IG.Forms.FileSelector IG.Forms.TestTestControl.fileSelector2
| private

DirectorySelector IG.Forms.TestTestControl.directorySelector1
| private

System.Windows.Forms.Label IG.Forms.TestTestControl.lblDirectorySelector
| private

## Property Documentation

System.Drawing.Font IG.Forms.TestTestControl.DatagridFont
| get set

The documentation for this class was generated from the following files:

- igforms/TestTestControl.cs
- igforms/TestTestControl.Designer.cs